/*  disasmTCC730, decode TCC730 (CalmRISC16 / MAC2424) machine code
         to assembly mnemonics.
    file: macargs.h, declarations for data defined in macargs.c 

    Copyright (C) 2004  Michael R. Donat <michael@donat.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef macargsH
#define macargsH

extern char rps[8][7];     
extern char rpd[8][7];     
extern char rp01s[4][7];   
extern char rp3s[2][7];    
extern char mg1[8][5];
extern char mg2[8][5];     
extern char sdi[4][4];     
extern char Ai[2][2];      
extern char Ci[2][2];      
extern char An[4][2];      
extern char rpui[16][6];   
extern char mga[4][4];     
extern char mgx[4][3];     
extern char mg[32][6];     
extern char mci[2][4];     
extern char srg[4][3];     
extern char asr[4][3];     
extern char asa[4][3];     
extern char bs[16][5];     
extern char ereg[16][3];
extern char ns[4][3];      
extern char emod0[4][5];   
extern char Pi[2][3];      
extern char cct[16][4];
extern char emod1[2][16][8];       
extern char emod2[2][16][16];
extern char XiYi[4][5];    
extern char Xi[2][3];      
extern char Yi[2][3];      
extern char rs[2][3];      
extern char Mi[2][4];      
extern char rpi[4][4];     
extern char TEC3[2][4];
extern char rpdi[2][5];

#endif

